Download it now!
Bug 114284 - Customization saved in template file should allow updating dependent files after change of template
Summary: Customization saved in template file should allow updating dependent files af...
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Templates
  Show dependency treegraph
 
Reported: 2017-12-06 15:33 UTC by Thomas Lendo
Modified: 2018-11-27 13:32 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2017-12-06 15:33:41 UTC
I tested the usage of a customized toolbar with special style commands especially for a template and its dependent files. The customization is also available in files that are made of that template.

But if you change the customization saved in the template and then if you open the dependent file, you will be asked for update of the style based formatting but not of the update for customization.

Is it technically possible to save and manage customization changes in OpenDocument files?

Not the same but a similar issue is described in https://ask.libreoffice.org/en/question/21915/menu-customization-saved-in-calc-document-doesnt-show-in-menu-when-doc-loaded/ where a user wants to use macro UI customization in templates.
Comment 1 Thomas Lendo 2017-12-07 16:12:38 UTC
Adding Regina to CC list if it's possible in ODF.
Comment 2 Regina Henschel 2017-12-07 17:12:49 UTC
The toolbar belongs to the configuration. It is stored in the folder Configuration2 in the package. ODF does not handle that folder, but only LibreOffice. It is up to LibreOffice to notice changes in that folder. It would be an enhancement request.
Comment 3 Thomas Lendo 2017-12-12 22:16:09 UTC
Thanks, Regina. Then this is an enhancement request to recognize and import UI customization changes from a template.
Comment 4 Xisco Faulí 2018-11-27 13:32:10 UTC
Hi Thomas Lendo,
this enhancement request has been in UNCONFIRMED status with no activity for almost a year without any interest from developers or other members in the LibreOffice community.
I'm closing this one a RESOLVED WONTFIX. Please, put it back to UNCONFIRMED if you find someone willing to implement this enhancement.